#ifndef __BUTTON_HPP__
#define __BUTTON_HPP__

class Button {
public:
	Button(unsigned analogPin, int vRef) : _aPin{analogPin}, _vRef{vRef} {};
	bool is_button_pressed(void);
private:
	unsigned _aPin;
	int _vRef;
};

#endif /* __BUTTON_HPP__ */
